# ThreadMutex_None Class Reference

Mutex that doesn't do locking because it ain't needed when there're no threads. More...

Inheritance diagram for ThreadMutex_None:

## Public Member Functions
virtual void | BeginCritical ()
| Begin the critical section.
virtual void | EndCritical ()
| End of the critical section.
virtual void | WaitForSignal ()
| Wait for a signal to be send.
virtual void | SendSignal ()
| Send a signal and wake the 'thread' that was waiting for it.

## Detailed Description

Mutex that doesn't do locking because it ain't needed when there're no threads.

Definition at line 22 of file thread_none.cpp.

## Member Function Documentation

virtual void ThreadMutex_None::WaitForSignal | ( |  | ) | `[inline, virtual]`

Wait for a signal to be send.

Precondition:
  You must be in the critical section.

Note:
  While waiting the critical section is left.

Postcondition:
  You will be in the critical section.

Implements ThreadMutex.

Definition at line 26 of file thread_none.cpp.

The documentation for this class was generated from the following file:

- src/thread/thread_none.cpp